org.apache.http.impl.nio.reactor

## Class ExceptionEvent

- java.lang.Object
- - org.apache.http.impl.nio.reactor.ExceptionEvent

    @Immutable
    public class ExceptionEvent
    extends Object

A `Throwable` instance along with a time stamp.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ExceptionEvent(Exception ex)`
`ExceptionEvent(Throwable ex, Date timestamp)`

### Method Summary

Methods
`Throwable` `getCause()`
`Date` `getTimestamp()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExceptionEvent

    public ExceptionEvent(Throwable ex,
                  Date timestamp)

#### ExceptionEvent

    public ExceptionEvent(Exception ex)

### Method Detail

#### getCause

    public Throwable getCause()

#### getTimestamp

    public Date getTimestamp()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`